Subject: Re: bug#64868: 29.1; C-x O binding suggestion for (other-window -1)

From: Van Ly <[email-masked]>
Date: Wed, 2 Aug 2023 13:07:42 GMT

> Date: Wed, 26 Jul 2023 16:47:52 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Wed, 26 Jul 2023 13:19:48 GMT
> > From: Van Ly <[email-masked]>
> > Cc: [email-masked]
> > 
> > > What's wrong with "C-- C-x o" (or "C-u - C-x o" if you are on a
> > > text-mode terminal)?
> > 
> > C-- shrinks the font size depending on the console.
> 
> In "emacs -Q"?  Doesn't happen for me.
> 

``emacs -Q'' inside kde/konsole has this and more discomforts for me.

> > To run the universal-argument command I map the C-u to somewhere else
> > as the fingers more frequently use C-u for rubbing out from the
> > current position to left margin position zero. I use Super-u or
> > Escape-u for universal-argument and avoid that if I can because Super
> > and Escape are read differently depending on console and keyboard
> > context.
> 
> So you will need to find a binding for (other-window -1) that is
> specific to your customizations.  There's no need to change the
> defaults for that, because key bindings are sort of user
> customizations that users are encouraged to do to suit their needs and
> preferences.
>

I found a better mapping than C-x o,

 C-x <up> for other-window in the other direction
 C-x <down> for other-window

works well with C-x <left>/<right>

A lot of mentions on the Internet say Emacs's drawback is the need to
customize it because the defaults are quirky from a different time
before keyboard commoditification.

> > > We don't have too many free key sequences, so "wasting" one on
> > > something that can be easily achieved via an existing binding is not a
> > > good idea, IMO.
> > 
> > I agree.  I guess we could use C-x O for now until something more
> > preferable comes along to occupy the big O. org-mode?  That fits
> > nicely next to project.
> 
> No, I mean we should not give this command a key binding at all, not
> by default.  There's no need, since you can easily do it for you
> without changing any default bindings.
>

Repeating several C-u -1 C-x o is suboptimal for me.

> 
> Neither do "C-h c C-x p C-h", so the above is the expected behavior,
> unrelated to the fact that you rebind C-h.
> 

The pain for the gain from remapping C-h is worth it for me, just need
f1 to function equally in place of C-h for tablike completion.

Is there a way to overlay ``b'' in the read-only modes such as
view-mode to function in the opposite direction to SPC.  The
``self-insert'' default for keys in read-only modes feels like a bug
you step on, notice but don't squish by habit.